#pragma once

class CListCtrlItemWalk
{
public:
	//dlarge ModelessDialogs  
	/*
	CListCtrlItemWalk(CListCtrl* pListCtrl) { m_pListCtrl = pListCtrl; }
	*/
	CListCtrlItemWalk(CListCtrl* pListCtrl = NULL) { m_pListCtrl = pListCtrl; }
	//dlarge end

	virtual CObject* GetNextSelectableItem();
	virtual CObject* GetPrevSelectableItem();

	CListCtrl* GetListCtrl() const { return m_pListCtrl; }

protected:
	CListCtrl* m_pListCtrl;
};
